Hello all,

we are running ZCS 6.0.10 OSE on Ubuntu 8.04 LTS 64 bit and we are testing the upgrade path with a clone of the production system.

We want to upgrade to latest ZCS 7.2 and since Ubuntu 8.04 is "DEPRECATED" we'd like to upgrade the server to Ubuntu 10.04 LTS 64 bit.

On the test system we've updated to Ubuntu 10.04 LTS but now zimbra 6.0.10 will not start anymore, with this nasty error:

# /etc/init.d/zimbra start
/usr/bin/perl: symbol lookup error: /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Data/UUID/UUID.so: undefined symbol: Perl_Tstack_sp_ptr


I've digged around and found this thread (http://www.zimbra.com/forums/adminis...1-7-1-2-a.html) but my situation is a bit different since Zimbra is older and will not start at all.

So the question is: which is the right path for this kind of upgrade?

Since there is a specific package of Zimbra for the specific version of Ubuntu (8.04 or 10.04) do I have to use a new server to perform migration?

Another idea could be something like this:

dpkg -r <zcs 6.0.10 ubuntu 8_64>.deb
dpkg -i <zcs 6.0.10 ubuntu 10-64>.deb

but I'm not quite sure.

Thank you for your support.

Cheers.
Luca